Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222009 - Review Request: fswebcam - Small webcam app
Summary: Review Request: fswebcam - Small webcam app
Keywords:
Status: CLOSED DUPLICATE of bug 478294
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-01-09 16:03 UTC by Philip Heron
Modified: 2008-12-27 12:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-28 17:07:15 UTC


Attachments (Terms of Use)

Description Philip Heron 2007-01-09 16:03:03 UTC
Spec URL: http://www.firestorm.cx/files/fswebcam.spec
SRPM URL: http://www.firestorm.cx/fswebcam/files/fswebcam-20070108-1.src.rpm
Description: A simple and tiny webcam application for capturing images from any V4L1/V4L2 compatable device. Includes basic image manipulation.

This is my first package for Extras so needs sponsored. I'm also the upstream maintainer of this application.

Comment 1 manuel wolfshant 2007-01-09 20:22:22 UTC
MUST items
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL v2) OK, text in %doc, matches source
- spec file legible, in am. english
- source is the latest version, matches upstream, sha1sum
69df690a91dd5902b5fe3d6b5c6a140fe242f002  fswebcam-20070108.tar.gz
- package builds in mock for devel/x86_64
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no scriptlets, static, headers or .pc files
- Minor picknick: changelog misses the most current modifications, which
triggers a warning  from rpmlint when run against the binary package:
 fswebcam incoherent-version-in-changelog 20061210-1 20070108-1
There are no other complains from rpmlint, either on source or binary

SHOULD:
- builds in mock without problems
- There is no obvious segfault at runtime, but I have no camera to fully test.


Please fix the changelog and since your package is a GUI, consider adding a
.desktop file (or explain why this would not be needed)


Comment 2 Philip Heron 2007-01-09 22:12:39 UTC
Thanks for looking,

- I've updated the changelog to reflect the latest version
- There is no GUI for this app so a .desktop file isn't needed


Comment 3 manuel wolfshant 2007-01-09 22:27:59 UTC
Yes, you are right, it's not a GUI. Sorry for the confusion. 
From my point of view, the package could be approved. However,since you need a
sponsor,
http://fedoraproject.org/wiki/Extras/Contributors#head-bb3314e7b80fd98f037edd46f6d1efafbb611752
should be followed and therefore you must convince a sponsor to review the
package, too.

Returing the package to FE-NEW status.


Comment 4 John Mahowald 2007-09-27 05:23:39 UTC
Skip the Requires: gd > 2, rpm automatically does the dep for libgd.

GPL is no longer a valid license, you have to specify the version, looks like v2.

Looking very good otherwise, builds fine on devel. 

Comment 5 Philip Heron 2007-10-01 21:43:27 UTC
(In reply to comment #4)

Hi John,

I've changed the License field to "GPLv2". Is there a preferred format? For
example, GPL2 or GPLv2.

> Skip the Requires: gd > 2, rpm automatically does the dep for libgd.

Done and confirmed.

Updated files are now here:
Spec URL: http://www.firestorm.cx/files/fswebcam.spec
SRPM URL: http://www.firestorm.cx/files/fswebcam-20070108-2.src.rpm


Comment 6 Jason Tibbitts 2008-01-20 00:15:50 UTC
This package is marked as being under review, but is not assigned to anyone. 
John set the fedora-review flag but wolfy did an initial review, so I'll just CC
them both and see if either is willing to take this.

Comment 7 manuel wolfshant 2008-01-20 00:37:52 UTC
Philip, would you please follow
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored ? I am
allowed to sponsor you now, but first I need to see some more input from you.


Comment 8 Philip Heron 2008-01-20 22:33:40 UTC
Will do this as soon as possible.

Comment 9 Philip Heron 2008-03-28 17:07:15 UTC
I've left this request idle for far too long so I'd like to withdraw it for now,
it's not fair leaving it lingering. If anyone else would like to pick it before
I get my free time back I'd be happy to see it included in Fedora.

Changing to WONTFIX

Comment 10 Fabian Affolter 2008-12-27 12:29:27 UTC

*** This bug has been marked as a duplicate of bug 478294 ***


Note You need to log in before you can comment on or make changes to this bug.